コンテンツへスキップ

DeepFilterNet 3

統合

モデルID deepfilternet3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/deepfilternet3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.01 10 APIクレジット · ≈ ₽1.05 実行前にファイルを計測します このページで実行

APIキーを取得
Open model 音声 #speech-enhancement

音声ファイルから背景ノイズを除去し、指定形式とビットレートで返す音声強調モデルです

Open model · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 audio_url
ファイルをドロップ、または

拡張する音声を指すURL。

詳細設定 audio_format · bitrate
audio_format デフォルト mp3

生成される音声に使用する形式。

デフォルト 192k

生成される音声に使用するビットレート。

POST /run/deepfilternet3?wait=20 見積もり → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/deepfilternet3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

DeepFilterNet 3について

ノイズの多い音声録音をクリーンアップします。`audio_url`で録音を指定すると、背景ノイズを除去してアップサンプリングします。`audio_format`(mp3、aac、m4a、ogg、opus、flac、wav)で出力コンテナを選択し、`bitrate`を設定できます。デフォルトは192kです。レスポンスには強調済みファイルとステップごとの処理時間が含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
audio_url必須 audio
型url · audio
拡張する音声を指すURL。
audio_format任意
型enum
デフォルトmp3
mp3aacm4aoggopusflacwav
生成される音声に使用する形式。
bitrate任意
型string
デフォルト192k
生成される音声に使用するビットレート。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "deepfilternet3",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "duration": 5,
      "channels": 1,
      "sample_rate": 1,
      "bitrate": "string"
    },
    "timings": {
      "preprocess": 1.0,
      "inference": 1.0,
      "postprocess": 1.0
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio_file
object {url, content_type, file_name, file_size, duration, channels, sample_rate, bitrate}拡張によって生成された音声ファイル。
timings
object {preprocess, inference, postprocess}パイプラインの各ステージのタイミング情報。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/deepfilternet3.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt